summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMichael Buesch <mb@bu3sch.de>2010-03-07 16:46:33 +0100
committerMichael Buesch <mb@bu3sch.de>2010-03-07 16:46:33 +0100
commit209c6e1d726f1405e177038125375a52a3aa889a (patch)
tree2fb60f03ab156760e7897456b3de0c2d8b25e267 /tests
parent68d2884a85195dee2a8bf855f7e40c519e0958ca (diff)
downloadtoprammer-209c6e1d726f1405e177038125375a52a3aa889a.tar.xz
toprammer-209c6e1d726f1405e177038125375a52a3aa889a.zip
Add at89c2051dip20 support
Signed-off-by: Michael Buesch <mb@bu3sch.de>
Diffstat (limited to 'tests')
-rw-r--r--tests/top2049/002-at89c2051dip20.test23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/top2049/002-at89c2051dip20.test b/tests/top2049/002-at89c2051dip20.test
new file mode 100644
index 0000000..50fa8e6
--- /dev/null
+++ b/tests/top2049/002-at89c2051dip20.test
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+function test_init
+{
+ request_DUT "at89c2051dip20" || return 1
+ return 0
+}
+
+function test_run
+{
+ local args="--bitfile at89c2051dip20 -I bin -O bin"
+
+ # Check signature
+ toprammer $args --read-sig "$tmpfile"
+ compare_file_to_hex $tmpfile "1E21" || die "signature mismatch"
+
+ toprammer $args --erase
+
+ # Check progmem
+ toprammer $args --write-prog "$testfile_2k"
+ toprammer $args --read-prog "$tmpfile"
+ compare_files "$testfile_2k" "$tmpfile" || die "progmem mismatch"
+}
bues.ch cgit interface